function createGif(filename,handle,DelayTime)
% Create gif from figures. Filename required. If no handle is given, old
% gif is renamed and saved. DelayTime is time between imgs in gif

% Check if old gif is present. 
if ~exist('handle','var')
    if isfile(filename)
        disp('Found old gif. Deleting')
        delete(filename)
        %{
        disp('Found old gif. Renaming');
        filename2 = strcat(filename(1:end-4),'-old.gif');
        movefile(strrep(filename,'/','\'),strrep(filename2,'/','\'))
        %}
    end
    return
end
if ~exist('DelayTime','var')
    DelayTime = 0.5;
end

set(gcf,'visible','off'); % Open figs create problems for export

%axis tight manual % this ensures that getframe() returns a consistent size
drawnow 

% Capture the plot as an image 
frame = getframe(handle); 
im = frame2im(frame); 
[imind,cm] = rgb2ind(im,256); 

% Write to the GIF File 
if ~isfile(filename)
    imwrite(imind,cm,filename,'gif', 'Loopcount',inf,'DelayTime',DelayTime); 
else 
    imwrite(imind,cm,filename,'gif','WriteMode','append','DelayTime',DelayTime); 
end

end
