function rgb = fct_cmap(N,h0,s0,v0)
% Create colormap with constant hue
% N = number of colors
% h0 = constant hue
% s0 = constant saturation
% v0 = constant brightness

h = h0*ones(N,1);     % Constant hue
if ~isempty(s0)
    v = linspace(1,0,N)';
    s = s0*ones(N,1);
elseif ~isempty(v0)
    s = linspace(1,0,N)';
    v = v0*ones(N,1);
end
rgb = hsv2rgb([h,s,v]);

end
