function y = fct_convert(x, serialNumber)
    % Linear Conversion from raw data to physical data 
    % Input: x: data, SN 'US90'-'US93' [mm], 'MID': [m3/h], 'LL' [L]
    % Output range: US: 4 - 22 cm calibrated
    % Data sources: copy from excel files
    % US and MID: Experimente/HOBO/kal_ultraschall_mid2.xlsx
    
switch serialNumber
    case 'US90'
        m = 22.40210619; 
        n = 27.82274752;
        
    case 'US91'
        m = 22.31074057;
        n = 26.42732768;   
        
    case 'US92'
        m = 22.51053357;
        n = 26.18336972;
        
    case 'US93'
        m = 22.28637804;
        n = 27.16462859;
        
    case 'US35'
        m = 22.12899582;
        n = 28.70864067;
        
    case 'US36'
        m = 22.14334156;
        n = 28.06290876;
        
        
    case 'MID'
        m =  0.56169012;
        n = -2.24091110;
    case 'LL'
        m = 572.9966825;
        n = -1.495120343;
end
y = m.*x + n;
end