function fct_createBG(folder,amountBGs,bg_type)
% Function to create Background from images, depending on 
% amountBGs: 1 (default) with constant exposure time, or higher
% bg_type: 'min' (default), or 'mean' of all images, pixel-wise


%folder = 'E:\211112\filtered\di\';
% amountBGs = 2;
folder
img_all      = dir(strcat(folder,'*.bmp'));
img_name     = string({img_all.name})';
img_name     = natsortfiles(img_name); % sort files if different #digits 
qty_datasets = numel(img_name)
imginfo      = imfinfo(strcat(folder, img_name(1)));

% If nothing is specified, take one background of all images
if (~exist('amountBGs','var'))
    amountBGs = 1;
    sprintf('Setting amount BGs to %i', amountBGs);
end
if (~exist('bg_type','var'))
    bg_type = 'min';
    sprintf('Setting bg type to %s', bg_type);
end

for j = 1 : amountBGs 
    vector = j : amountBGs : qty_datasets;
    %fprintf('Analysing folder %s',folder)
    fprintf('Creating background %i from\n',j)
    fprintf('%s\n',img_name(vector(1:min(10,qty_datasets))))

    switch bg_type
        case 'min'
            pic = uint8(2^8*ones(imginfo.Width, imginfo.Height));           
            for k = vector
                if mod(k,100)==1
                    fprintf('Currently at %s\n',img_name(k))
                end
       
                temp = imread(strcat(folder,img_name(k)));
                pic = min(pic,temp);
            end
            pic = cast(pic,'uint16');
            
            
        case 'mean'
            pic  = zeros(imginfo.Width, imginfo.Height);           
            for k = vector
                if mod(k,100)==1
                    fprintf('Currently at %s\n',img_name(k))
                end
                temp = cast(imread(strcat(folder,img_name(k))),'double');
                pic = pic + temp;
            end
            pic = cast(pic/length(vector),'uint16');
    end
   
    mean_pic = num2str(mean(pic,'all'),'%2.1f');
    pic_name = strcat(folder,'bg',num2str(j),'_',bg_type,'-AvgInt_',mean_pic,'.tif');
    imwrite(pic,pic_name);
end

fprintf('BG saved as %s\n',pic_name)
end
% EOF