function fct_createBGmultiple(folder, amountBGs, bg_type)
% Recursive function which analyses folder and all subfolders, calling fct_createBG

if ~isfolder(folder)
    error('Folder is not existent!')
end

% If nothing is specified, take one background (min) of all images
if (~exist('amountBGs','var'))
    amountBGs = 1;
    sprintf('Setting amount BGs to %i', amountBGs);
end
if (~exist('bg_type','var'))
    bg_type = 'min';
    sprintf('Setting bg type to %s', bg_type);
end

result = dir(strcat(folder,'*.bmp'));
fprintf('\n-----------------------------------------------------------\n')
fprintf('Analysing folder %s',folder)

% If bmp are in this folder, and no bg present, create new bg
if length(result)> 1 % Ignore main folder with scale img
    fprintf('\nImages found')
    
    if isempty(dir(strcat(folder,'\*.tif')))
        fprintf(' - creating new background\n')
        fct_createBG(folder,amountBGs,bg_type)       
    else
        fprintf(' - background already existent\n')        
    end
else
    fprintf('\nNo images found\n')
end

% Dive deeper into subfolders if necessary (recursive)
all_folders = dir(folder);
foldernames = string({all_folders.name});

% Ignore all data .xyz, scale and checker folder
foldernames(contains(foldernames,[".","scale","checker"])) = [];
fullfoldernames = strcat(folder,foldernames,'\');
for i = 1 : length(fullfoldernames)
    fct_createBGmultiple(fullfoldernames(i))
end
  
end
