function pfad = fct_pfad(exp_date) 

if ~exist('exp_date','var')
    error('No input provided. Experiment date as char is needed.')
elseif ~ischar(exp_date)
    error('Input of wrong format. Experiment date as char is needed')
end 

% Search for harddisk where folders are saved
drive = '../';
pfad.drive        = drive;
pfad.comparison   = strcat(drive,'Comparison/');
pfad.root         = strcat(drive,exp_date,'/'); 

pfad.FIS          = strcat(pfad.root,'Data-FIS/');
pfad.FIS_Matlab   = strcat(pfad.FIS,'matlab/');
pfad.FIS_Cal      = strcat(pfad.FIS_Matlab,'1_Calibration/');
pfad.FIS_Exp      = strcat(pfad.FIS_Matlab,'2_Experiment/exp/');
pfad.FIS_Exp01    = strcat(pfad.FIS_Matlab,'2_Experiment/exp/1pix/');
pfad.FIS_Exp10    = strcat(pfad.FIS_Matlab,'2_Experiment/exp/10pix/');
pfad.FIS_Setup    = strcat(pfad.FIS_Matlab,'3_Setup/Setup/');
pfad.FIS_CalRes   = strcat(pfad.FIS_Matlab,'4_Cal-Results/'); 

pfad.Fluo           = strcat(pfad.root,'Data-Fluo/');
pfad.HS             = strcat(pfad.root,'Data-HoboSolinst/');

pfad.PIV            = strcat(pfad.root,'Data-PIV/');
pfad.PIV_1up        = strcat(pfad.root,'Data-PIV/1_upstream/');
pfad.PIV_2center    = strcat(pfad.root,'Data-PIV/2_centerstream/');
pfad.PIV_3down      = strcat(pfad.root,'Data-PIV/3_downstream/');

pfad.profiler       = strcat(pfad.root,'Data-Profile/');
pfad.profiler_total = strcat(pfad.profiler,'totalprofile/');
pfad.profiler_time  = strcat(pfad.profiler,'time/');

pfad.graphics         = strcat(pfad.root,'Graphics/');
pfad.graphics_FIS     = strcat(pfad.root,'Graphics/FIS/');

pfad.results          = strcat(pfad.root,'Results/');

% Check if folders are existent, otherwise create them
fct_isFolder(pfad);
end

% EOF