function y = fit_ade_eq(t,tp,a,tau,DP)
% Equation for ADE-fit with variable start point
% Values before start point are set to 0

y = a* (1./tau./sqrt( 4*pi*DP.*(t-tp)./tau)).*...
    exp(- ((1-(t-tp)./tau).^2) ./ (4*DP*(t-tp)./tau) );
y(t<=tp)=0;

end


% For loop
%{
y = zeros(size(t));
for i = 1:length(t)
    if t(i)>tp
       y(i) = a* (1./tau ./sqrt( 4*pi*DP.*(t(i)-tp)./tau)).*...
        exp(- ((1-(t(i)-tp)./tau).^2) ./ (4*DP*(t(i)-tp)./tau) );
    else
        y(i)=0;
    end
end
end
%}

